Module | BinaryReader::ByteOrder
In: | lib/facets/more/binaryreader.rb

### Methods

big? big_endian? byte_order byteorder little? little_endian? network?

### Constants

Native | = | :Native
BigEndian | = | Big = Network = :BigEndian
LittleEndian | = | Little = :LittleEndian

### Public Instance methods

big?()

Alias for big_endian?

big_endian?()
byte_order()

examines the byte order of the underlying machine

byteorder()

Alias for byte_order

little?()

Alias for little_endian?

little_endian?()
network?()

Alias for big_endian?

[Validate]